%define	name	lprof

%define	version	1.11.4.2
%define cvssnapshot 20071212

%define	rel	1
%define	release	%mkrel %{rel}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Color Profilers
Group: 		Office
License:	GPL
URL:		http://lprof.sourceforge.net
Source0:	lprof-%{version}-cvs%{cvssnapshot}.tar.bz2
Patch3:		lprof-desktop.diff
Patch4:		lprof-dispread-buffer-overflow.patch
Patch5:  	lprof-iccdump-buffer-overflow.patch
BuildRequires:	desktop-file-utils
BuildRequires:	ImageMagick
BuildRequires:	lcms-devel
BuildRequires:	libtiff-devel
BuildRequires:	libvigra-devel
BuildRequires:	python
BuildRequires:	qt3-devel
BuildRequires:  scons
BuildRequires:	libusb-devel
Requires:	libqassistantclient1 libvigra2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
LProf is an open source color profiler that creates ICC compliant
profiles for devices such as cameras, scanners and monitors.


%prep
rm -rf %{buildroot}
%setup -q -n lprof
%patch3 -p0 -b .fix-desktop
%patch4 -p1 -b .dispread-buffer-overflow
%patch5 -p1 -b .iccdump-buffer-overflow

if [ "%{_lib}" != "lib" ]; then 
  sed -i -e "s/(i, 'lib')/(i, 'lib64')/g" SConstruct
  sed -i -e 's,/usr/lib,'$(pkg-config --variable libdir x11)',g' -e 's,/usr/pkg/lib,'$(pkg-config --variable libdir qt-mt)',g'  build_config.py
fi


%build
export QTDIR=/usr/lib/qt3
export QTLIB="%{_prefix}/lib/qt3/%{_lib}"
export CFLAGS=${RPM_OPT_FLAGS}
export CXXFLAGS=${RPM_OPT_FLAGSi}

scons PREFIX="%{_prefix}" QT_LIBPATH="%{_prefix}/lib/qt3/%{_lib}" ccflags="`echo %{optflags} | sed -e 's/-Wp,-D_FORTIFY_SOURCE=2/-Wp,-D_FORTIFY_SOURCE=1/g'`" cxxflags="%{optflags}"

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_prefix}
export QTDIR=/usr/lib/qt3
export QTLIB="%{_prefix}/lib/qt3/%{_lib}"
export CFLAGS=${RPM_OPT_FLAGS}
export CXXFLAGS=${RPM_OPT_FLAGSi}

scons PREFIX="%{buildroot}%{_prefix}" install

install -p -D -m0644 data/icons/lprof.png %{buildroot}%{_liconsdir}/%{name}.png

mkdir -p -m 755 %{buildroot}%{_iconsdir}
convert %{buildroot}%{_liconsdir}/%{name}.png -size 32x32 %{buildroot}%{_iconsdir}/%{name}.png
mkdir -p -m 755 %{buildroot}%{_miconsdir}
convert %{buildroot}%{_iconsdir}/%{name}.png -size 16x16 %{buildroot}%{_miconsdir}/%{name}.png

desktop-file-install --vendor="" \
--add-category="X-MandrivaLinux-Multimedia-Graphics" \
--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*



%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README.NetBSD sRGB_profile_License KNOWN_BUGS README
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png



%changelog
* Wed Jul 21 2009 Texstar <texstar@gmail.com> 1.11.4.2-1pclos2009
- import from Mandriva
+ Revision: 122422
- New cvs snapshot 20071212
- Remove source1, no longer needed
- Patch4,5 (Fedora): fix buffer overflow


